package com.jkcredit.location.action;

import com.jkcredit.location.model.CommonResponseObject;
import com.jkcredit.location.service.LocationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
@Slf4j
public class LocationAction {
    @Autowired
    LocationService locationService;

    @RequestMapping("/mrcp/gateway-ct/route/route.do")
    public CommonResponseObject historyLocationQuery(HttpServletRequest request, @RequestBody String params) {
        long startTime = System.currentTimeMillis();
        CommonResponseObject responseObject = locationService.historyLocationQuery(params, request);
        log.info("transationId:{}, costTime:{}", responseObject.getTransationId(), (System.currentTimeMillis() - startTime));
        return responseObject;
    }
}
