package com.jkcredit.location.constant;

import java.util.regex.Pattern;

/**
 * @author xusonglin
 * @version V1.0
 **/
public class CommonConstant {
    public static final int JK_RETURN_CODE_INVALID_PARAMETER = 9909;
    public static final String PARAMETER_NAME_ERROR = "参数名有误";
    public static final String INVALID_PARAMETER = "参数错误";
    public static final String CAR_NUMBER_PATTERN = "^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}" +
            "[A-Z]{1}[警京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼]{0,1}[A-Z0-9]{4,6}[A-Z0-9挂学警港澳]{1}$";
    public static final String DATE_REGEX = "^((19|20)[0-9]{2})-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$";
    public static final String DATE_FORMAT = "yyyy-MM-dd";
    public static final int JK_RETURN_CODE_MATCH = 1000;
    public static final int JK_RETURN_CODE_NO_INFO = 1099;
    public static final String RETURN_MESSAGE_60 = "库无";
    public static final int JK_RETURN_CODE_OTHER_ERROR = 9901;
    public static final String OTHER_ERROR = "查询错误";
    public static final int CUSTOM_MONTH_LIMIT = 20;
    public static final int ORIGINAL_MONTH_LIMIT = 10;
    public static final String HISTORY_LOCATION_PRODUCT_ID = "30000116";
    public static final String TOKEN_PRIVATE_KEY = "{\n" +
            "    \"p\": \"vCQSH97Od_tpUL4_PFApKYEcMZOO2_4bY3qaX-8K_BC4SrClwNk_we9ZDL9PP5_xyPgDxBhv8dIk3TyGnu9oF8VLdKsXRwdqEigKqaHvFitpNFqNEmRMvcNSsvzv39Yeulanb7i4wJ3n11oXFwiQf6d6jBpEgDaTiMxf7ciLBbU\",\n" +
            "    \"kty\": \"RSA\",\n" +
            "    \"q\": \"ueZZy-wxnIaCKmca63zc2p45D0VnXJqBmQEmXqsXC_YSsuIrizZmO3--9R9THAzeCrfqfJkhP6oidce0FFKHfn7wYUds-58uQQjcgxxF93S5IIquaE2ycp1GRQgvqlrPJPXX1Juy6e2FOcKaWr9a4si2TMZhgXScQKz2sp4d_5s\",\n" +
            "    \"d\": \"CyrjgswyS8WLNUXP66etGklVWu8ykqNLAsYiso4HiaZnVOviyCbTU5QaXhJ0pb2kyhnLnVNux3bkchHf5Vj7oDHkVo-tAOYM8jx89VJVHV2vDDDZGeY-_WBuiLRfddTSH5mMQ4ZadOJFIzjubdh6Kv-_bZ_-ZouDm-lF8hIpuDC_kg2w1hWmB1dXo6eCwODLoYj_SKH-6OJtBX2N8pXIDVbPeZc_i1B_2wtIgzz2G3uW5-9c6s5SLRr48FgXYbd9HsENZ43xo9mHKCixHSDMGGfa9XiMbJlrBsu7Z6rupfHjHTwaIM-TuZQpGu0I3eujdJWul7JHhlE4aBNyW0gUqQ\",\n" +
            "    \"e\": \"AQAB\",\n" +
            "    \"kid\": \"jiaokexinyong\",\n" +
            "    \"qi\": \"RYq7h3bLoziCujVpU7-NcBKYIwWwNz9qct0f-HSRunUZun1neA-rA6PkxQ5azGCgaVZOVcr-KkSOFs-Zbfcdosfnvo7sWMSy7jBlBoyK8ebMQW6QUgP6Gtr_U2HMihqyeEb8Ts14gpJP6NBcyybRq_BNk2_nEKdzNKM1dVrqhSs\",\n" +
            "    \"dp\": \"AXMhtJ8p5iDI0fd1U0im2IwHJJanfih6G40hTWXxJroWQXUVAeRqqlrmy8NZn_riiRLoLIWnryxYXmAOBYGAwtYhW7fJySFUfulSE7aMuhYBjIa6GY8uTDQKGhj63DWxLOxoA-NfgRR2aeFm1iWZv3IR7qxxJK_G-UHh51opQBU\",\n" +
            "    \"dq\": \"rVqLfkhBc09Tbqs7RUHoyc0mNIFqA8bo939FAp7VHQhZI4sZQ_Z0myNjNT4CyHOPU7tx5ML_aFkFTYPu_8x-IY3KJ0zt6i7keS0ERRdGf53PTPNF9GoP8CWNc65QlLGd3T-MBu0yiEZAKD66pckvva-hoDKWlpvhYcZpPuOH4eU\",\n" +
            "    \"n\": \"iJ9bf7kijJWfgeN61luAmHbhGBBR5pIF7cy-_ly2iNyi1DyUt8YOWw56J4Md4HlPpnktNpN6hftP_sXXJuTCdScp7oKhpXHGkpYcePcVoi7BoXhwh03jmI8rHHonYxPs56kE-TIg7-4g2pXYqO0HYdFhH3byBhzfC_D83MkU5nYl19OdmeXBHfcXsvR7csc_QHrmzB7Fa-ZWFPDXE4BY7_GYI43Ttc8kvdrdhyg6iAxkjrsc0B1zNtmOuAJMHzxTnSzivFd-CpNOu1Zj7fFxp8cfMoeZt3wi9Yp_qUp37iWw_4Vmr2UMnOk0bncJphwZMKOwqH3T0h8kw1raQly_lw\"\n" +
            "}";
    public static final String TOKEN_PUBLIC_KEY = "{\n" +
            "    \"kty\": \"RSA\",\n" +
            "    \"e\": \"AQAB\",\n" +
            "    \"kid\": \"jiaokexinyong\",\n" +
            "    \"n\": \"iJ9bf7kijJWfgeN61luAmHbhGBBR5pIF7cy-_ly2iNyi1DyUt8YOWw56J4Md4HlPpnktNpN6hftP_sXXJuTCdScp7oKhpXHGkpYcePcVoi7BoXhwh03jmI8rHHonYxPs56kE-TIg7-4g2pXYqO0HYdFhH3byBhzfC_D83MkU5nYl19OdmeXBHfcXsvR7csc_QHrmzB7Fa-ZWFPDXE4BY7_GYI43Ttc8kvdrdhyg6iAxkjrsc0B1zNtmOuAJMHzxTnSzivFd-CpNOu1Zj7fFxp8cfMoeZt3wi9Yp_qUp37iWw_4Vmr2UMnOk0bncJphwZMKOwqH3T0h8kw1raQly_lw\"\n" +
            "}";
    public static final String KEY_ID = "jiaokexinyong";
    /**
     * 月调用量redis key*/
    public static final String MONTH_CHARGE_COUNT = "month_charge_count";
    public static final String PRODUCT_ID = "30000116";
}
