package com.jkcredit.location.model;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
public class HistoryLocationResponseObject {
    /**code*/
    private String code;

    /**响应描述*/
    private String msg;

    /**本次请求的订单号*/
    private String orderNo;

    /**返回的数据，详见每个接口说明*/
    private HistoryLocationResponseData data;

    @Data
    public static class HistoryLocationResponseData {
        private List<HistoryLocationResponseInfos> infos;
    }
    @Data
    public static class HistoryLocationResponseInfos {
        private String queryTime;
        private List<HistoryLocationResponseDetails> trackDetails;
    }
    @Data
    public static class HistoryLocationResponseDetails {
        private String lat;
        private String lon;
        private String gtm;
        private String spd;
        private String mlg;
        private String hgt;
        private String agl;

    }
}
