package com.jkcredit.location.model;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
public class HistoryLocationRequestObject {
    @NotNull(message = "参数名错误")
    private String productId;
    @NotNull(message = "参数名错误")
    private String accessId;
    @NotNull(message = "参数名错误")
    private HistoryLocationCustomBody customBody;

    @Data
    public static class HistoryLocationCustomBody {
        @NotNull(message = "参数名错误")
        private String plateNum;
        @NotNull(message = "参数名错误")
        private String time;
    }
}
